package net.mcreator.enderitestuff.procedures;

import net.minecraft.world.level.LevelAccessor;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.effect.MobEffects;
import net.minecraft.world.effect.MobEffectInstance;
import net.minecraft.core.BlockPos;

import net.mcreator.enderitestuff.init.EnderiteStuffModBlocks;
import net.mcreator.enderitestuff.EnderiteStuffMod;

public class PoisonTrapActivateProcedure {
	public static void execute(LevelAccessor world, double x, double y, double z, Entity entity) {
		if (entity == null)
			return;
		world.setBlock(BlockPos.containing(x, y, z), EnderiteStuffModBlocks.POISON_TRAP_ACTIVE.get().defaultBlockState(), 3);
		if (entity instanceof LivingEntity _entity && !_entity.level().isClientSide())
			_entity.addEffect(new MobEffectInstance(MobEffects.POISON, 120, 0, true, false));
		EnderiteStuffMod.queueServerWork(60, () -> {
			world.setBlock(BlockPos.containing(x, y, z), EnderiteStuffModBlocks.POISON_TRAP.get().defaultBlockState(), 3);
		});
	}
}
